#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kcachegrind

Summary:	KCachegrind - visualization of traces generated by profiling
Summary(pl.UTF-8):	KCachegrind - wizualizacja ścieżek tworzonych przez profilowanie
Name:		ka5-kcachegrind
Version:	22.12.0
Release:	1
License:	GPL v2
Group:		X11/Development/Tools
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	ac5cff7ef5977ec8329a7140f4f53a33
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-karchive-devel >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.600
Suggests:	%{name}-tools = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KCachegrind visualizes traces generated by profiling.

%description -l pl.UTF-8
KCachegrind wizualizuje ślady tworzone przez profilowanie.

%package tools
Summary:	Tools to convert various profiling data to calltree format
Summary(pl.UTF-8):	Narzędzia do konwersji różnych danych profilujących do formatu calltree
Group:		Development/Tools

%description tools
Tools to convert various profiling data to calltree format, used by
Valgrind tools.

%description tools -l pl.UTF-8
Narzędzia do konwersji różnych danych profilujących do formatu
calltree, stosowanego przez narzędzia Valgrinda.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

find $RPM_BUILD_ROOT%{_bindir} -type f -exec sed -i -e 's#/usr/bin/env php#/usr/bin/php#' '{}' +
find $RPM_BUILD_ROOT%{_bindir} -type f -exec sed -i -e 's#/usr/bin/env python#/usr/bin/python2#' '{}' +

%find_lang %{kaname} --all-name --with-kde --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcachegrind
%{_desktopdir}/org.kde.kcachegrind.desktop
%{_iconsdir}/hicolor/128x128/apps/kcachegrind.png
%{_iconsdir}/hicolor/32x32/apps/kcachegrind.png
%{_iconsdir}/hicolor/48x48/apps/kcachegrind.png
%{_iconsdir}/hicolor/64x64/apps/kcachegrind.png
%dir %{_datadir}/kcachegrind
%dir %{_datadir}/kcachegrind/icons
%dir %{_datadir}/kcachegrind/icons/hicolor
%dir %{_datadir}/kcachegrind/icons/hicolor/16x16
%dir %{_datadir}/kcachegrind/icons/hicolor/16x16/actions
%{_datadir}/kcachegrind/icons/hicolor/16x16/actions/move.png
%{_datadir}/kcachegrind/icons/hicolor/16x16/actions/percent.png
%dir %{_datadir}/kcachegrind/icons/hicolor/22x22
%dir %{_datadir}/kcachegrind/icons/hicolor/22x22/actions
%{_datadir}/kcachegrind/icons/hicolor/22x22/actions/hidetemplates.png
%{_datadir}/kcachegrind/icons/hicolor/22x22/actions/move.png
%{_datadir}/kcachegrind/icons/hicolor/22x22/actions/percent.png
%dir %{_datadir}/kcachegrind/icons/hicolor/32x32
%dir %{_datadir}/kcachegrind/icons/hicolor/32x32/actions
%{_datadir}/kcachegrind/icons/hicolor/32x32/actions/percent.png
%{_datadir}/kcachegrind/tips
%{_datadir}/metainfo/org.kde.kcachegrind.appdata.xml

%files tools
%defattr(644,root,root,755)
%doc converters/README
%attr(755,root,root) %{_bindir}/dprof2calltree
%attr(755,root,root) %{_bindir}/hotshot2calltree
%attr(755,root,root) %{_bindir}/memprof2calltree
%attr(755,root,root) %{_bindir}/op2calltree
%attr(755,root,root) %{_bindir}/pprof2calltree
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kcachegrind.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 205abe6
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8abc081
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e9bf5a0
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0b97b71
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e0e6005
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5c17b6b
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 37c9193
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 061a671
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5da7d63
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bed76ef
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5911065
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9db7952
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> cb24371
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4b4dece
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e41ef64
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6b22a4a
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b0309ad
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 761ac1c
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 366d31e
- updated to 21.08.0

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e60df47
- updated to 21.04.3

